{% extends 'base.html' %}
{% block content %}
<main>
    <div class="project-detail">
        <h1>{{ project_instance.name }}</h1>
        <p>{{ project_instance.description }}</p>
        <p><a href="{% url 'edit_project' project_instance.id %}">Edit this project</a></p>
        <p><a href="{% url 'delete_project' project_instance.id %}">Delete this project</a></p>
        <h2>Tasks</h2>
        <p><a href="{% url 'create_task' %}">Create a new task</a></p>
        {% if project_instance.tasks.all %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Assignee</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for task in project_instance.tasks.all %}
                <tr>
                    <td><a href="{% url 'show_task' task.id %}">{{task.name|title}}</a></td>
                    <td>{{task.assignee|title}}</td>
                    <td>{{task.start_date}}</td>
                    <td>{{task.due_date}}</td>
                    <td>{{task.is_completed|yesno|title}}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p>This project has no tasks</p>
        {% endif %}
    </div>
</main>
{% endblock content %}